#{extends 'border.html'/}
<div class="container">
#{form @masterdata.PenyediaCtr.editSubmit(), method:'POST', class:'form-horizontal form_penyedia'}

	<input type="hidden" name="penyedia_id" value="${penyedia.id}"/>
	<input type="hidden" name="penyedia.user_id" value="${penyedia.user_id}"/>

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{masterdata.PenyediaCtr.index()}">&{'penyedia.label'}</a></li>
				<li class="active">&{'ubah.label'} &{'penyedia.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
			#{alert /}
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				#{backButton/}
				#{saveButton/}
			</div>
			<!-- End Toolbar -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-default">
	            <div class="panel-heading"><h4>&{'informasi_penyedia.label'}</h4></div>
	            <div class="panel-body">

					<div class="form-group" id="selectLocation">
						<label class="col-md-2 control-label">&{'kabupaten_kota.label'}</label>
						<div class="col-md-9">
							<select name="penyedia.lokasiKldi" id="lokasi-penyedia" class="form-control select2" multiple="multiple" style="width: 100%" data-placeholder="&{"pilih_wilayah.label"}">
								#{list lokasiKldi, as:'lokasi'}
									<option value="${lokasi.id}" ${penyedia?.lokasiKldi?.contains(lokasi.id) ? "selected='selected'" : ""}>
									${lokasi.nama}
									</option>
								#{/list}
							</select>
						</div>
					</div>

                    <div class="form-group" id="selectLocationSektoral">
                        <label class="col-md-2 control-label">&{'instansi.label'}</label>
                        <div class="col-md-9">
                            <select name="penyedia.lokasiKldiSektoral" id="lokasi-penyedia-sektoral" class="form-control select2" multiple="multiple" style="width: 100%" data-placeholder="&{"pilih_instansi.label"}">
								#{list lokasiKldiSektoral, as:'sektoral'}
                                    <option value="${sektoral.id}" ${penyedia?.lokasiKldiSektoral?.contains(sektoral.id) ? "selected='selected'" : ""}>
									${sektoral.nama}
                                    </option>
								#{/list}
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-2 control-label">&{'komoditas.label'}</label>
                        <div class="col-md-9">
                            <select value="" name="komoditas" id="komoditas-penyedia" class="form-control select2" multiple style="width: 100%" data-placeholder="&{"pilih_komoditas.label"}">
								#{list komoditasList, as:'komoditas'}
                                    <option value="${komoditas.id}" ${pkList.contains(komoditas.id) ? "selected='selected'" : ""}>${komoditas.nama_komoditas}</option>
								#{/list}
                            </select>
                        </div>
                    </div>
	                <div class="form-group">
	                    <label class="col-md-2 control-label">&{'nama_penyedia.label'}</label>
	                    <div class="col-md-9">
							<input type="hidden" class="form-control" name="penyedia.user_id" value="${penyedia.user_id}"/>
	                        <input class="form-control" name="penyedia.nama_penyedia" value="${penyedia.nama_penyedia}"/>
	                    </div>
	                </div>
	                <div class="form-group">
	                    <label class="col-md-2 control-label">&{'npwp.label'}</label>
	                    <div class="col-md-9">
	                        <input class="form-control" name="penyedia.npwp" value="${penyedia.npwp}"/>
	                    </div>
	                </div>
	                <div class="form-group">
	                    <label class="col-md-2 control-label">&{'alamat.label'}</label>
	                    <div class="col-md-9">
	                        <textarea class="form-control" name="penyedia.alamat" rows="5">${penyedia.alamat}</textarea>
	                    </div>
	                </div>
	                <div class="form-group">
	                    <label class="col-md-2 control-label">&{'kode_pos.label'}</label>
	                    <div class="col-md-9">
	                        <input class="form-control" name="penyedia.kode_pos" value="${penyedia.kode_pos}"/>
	                    </div>
	                </div>
	                <div class="form-group">
	                    <label class="col-md-2 control-label">&{'email.label'}</label>
	                    <div class="col-md-9">
	                        <input class="form-control" name="penyedia.email" value="${penyedia.email}"/>
	                    </div>
	                </div>
	                <div class="form-group">
	                    <label class="col-md-2 control-label">&{'url.label'} &{'situs_web.label'}</label>
	                    <div class="col-md-9">
	                        <input class="form-control" name="penyedia.website" value="${penyedia.website}"/>
	                    </div>
	                </div>
	                <div class="form-group">
	                    <label class="col-md-2 control-label">&{'nomor_telp.label'}</label>
	                    <div class="col-md-9">
	                        <input class="form-control" name="penyedia.no_telp" value="${penyedia.no_telp}"/>
	                    </div>
	                </div>
	                <div class="form-group">
	                    <label class="col-md-2 control-label">&{'nomor_selular.label'}</label>
	                    <div class="col-md-9">
	                        <input class="form-control" name="penyedia.no_hp" value="${penyedia.no_hp}"/>
	                    </div>
	                </div>
	                <div class="form-group">
	                    <label class="col-md-2 control-label">&{'nomor_fax.label'}</label>
	                    <div class="col-md-9">
	                        <input class="form-control" name="penyedia.no_fax" value="${penyedia.no_fax}"/>
	                    </div>
	                </div>
	                <div class="form-group">
	                    <label class="col-md-2 control-label">&{'pkp.label'}</label>
	                    <div class="col-md-9">
	                        <input class="form-control" name="penyedia.pkp" value="${penyedia.pkp}"/>
	                    </div>
	                </div>
	                <div class="form-group">
	                    <label class="col-md-2 control-label">&{'produk_api_url.label'}</label>
	                    <div class="col-md-9">
	                        <input class="form-control" name="penyedia.produk_api_url" value="${penyedia.produk_api_url}"/>
	                    </div>
	                </div>
	            </div>
	        </div>
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-default">
				<div class="panel-heading">
		            <h4>&{'representatif.label'}</h4>
				</div>
				<div class="panel-body">
					<div class="toolbar">
		                <a id="tambah_representatif" class="btn btn-primary"><i class="fa fa-plus"></i> &{'tambah.label'} &{'representatif.label'}</a>
		                <a id="reset_representatif" class="btn btn-info"><i class="fa fa-refresh"></i> &{'refresh.label'}</a>
		            </div>
		            <div style="overflow-x: auto">
						<table class="table table-condensed" id="tbl_representatif">
							<thead>
								<tr>
									<th></th>
									<th>&{'nama_representatif.label'}</th>
									<th>&{'nomor_telp_selular.label'}</th>
									<th>&{'email.label'}</th>
								</tr>
							</thead>
							<tbody>
								#{list representatifList, as:'representatif'}
									<tr>
										<td><button class="btn btn-danger" id="hapus_representatif"><i class="fa fa-trash"></i></button></td>
										<td><input type="text" name="nama_representatif" class="form-control" value="${representatif.nama}"></td>
										<td><input type="text" name="telp_representatif" class="form-control" value="${representatif.no_telp}"></td>
										<td><input type="text" name="email_representatif" class="form-control" value="${representatif.email}"></td>
									</tr>
								#{/list}
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
#{/form}
</div>

#{set 'moreScripts'}

<script>

    $(document).ready(function (){

		$("#tambah_representatif").on("click",function(){

			var str = "<tr>" +
					"<td><button class='btn btn-danger' id='hapus_representatif'><i class='fa fa-trash'></i></button></td>" +
					"<td><input type='text' name='nama_representatif' class='form-control'></td>" +
					"<td><input type='text' name='telp_representatif' class='form-control'></td>" +
					"<td><input type='text' name='email_representatif' class='form-control'></td>" +
					"</tr>";

			$("#tbl_representatif").append(str);

		});

		$("#reset_representatif").on("click",function(){

			$("#tbl_representatif tr").remove();

		});

		$("body").on("click","#hapus_representatif",function(){
			$(this).parent().parent().remove();
		});

    });

</script>

#{/set}